
package com.jcg.set;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Set;
import java.util.stream.Collectors;


public class SetExample4 {
    
    public static void main(String[] args){
        Set<String> countrySet = new HashSet<>();
        countrySet.add("IN");
        countrySet.add("HK");
        countrySet.add("SG");
        
        Iterator<String> itr = countrySet.iterator();
        while(itr.hasNext()){
            System.out.printf("%s ",itr.next());
        }
        
        List<String> countryList = countrySet.stream().collect(Collectors.toCollection(ArrayList::new));
        
        //Iterating an arrayList
        
        Iterator<String> listItr = countryList.iterator();
        System.out.println("\nList Iteration :");
        while(listItr.hasNext()){
            System.out.printf("%s ", listItr.next());
        }
        System.out.println();
    }
    
}
