
package com.jcg.set;

//HashSet to ArrayList and LinkedList via addAll

import java.util.HashSet;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;
import java.util.ListIterator;
import java.util.Set;

public class SetExample3 {

    public static void main(String[] args){
        Set<String> countrySet = new HashSet<>();
        countrySet.add("IND");
        countrySet.add("KE");
        countrySet.add("SGP");
        
        Iterator<String> itr = countrySet.iterator();
        while(itr.hasNext()){
            System.out.println(itr.next());
        }

        List<String> countryLinkedList = new LinkedList<>();
        countryLinkedList.addAll(countrySet);
        
                
        ListIterator<String> listItr = countryLinkedList.listIterator();
        System.out.println("Linked List Iteration");
        while(listItr.hasNext()){
            System.out.println(listItr.next());
        }

        List<String> countryArrayList = new LinkedList<>();
        countryArrayList.addAll(countrySet);

        ListIterator<String> arrlistItr = countryArrayList.listIterator();
        System.out.println("Array List Iteration");
        while(arrlistItr.hasNext()){
            System.out.println(arrlistItr.next());
        }
    }
}
